"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const chalk_1 = __importDefault(require("chalk"));
const cli_table3_1 = __importDefault(require("cli-table3"));
const chalkInstance = chalk_1.default.stderr;
const underlineBoldCyan = (x) => chalkInstance.underline(chalkInstance.bold(chalkInstance.cyan(x)));
const formattedReportUrl = underlineBoldCyan('https://reports.cucumber.io');
const formattedEnv = chalkInstance.cyan('CUCUMBER_PUBLISH_ENABLED') +
    '=' +
    chalkInstance.cyan('true');
const formattedMoreInfoUrl = underlineBoldCyan('https://cucumber.io/docs/cucumber/environment-variables/');
const text = `\
Share your Cucumber Report with your team at ${formattedReportUrl}

Command line option:    ${chalkInstance.cyan('--publish')}
Environment variable:   ${formattedEnv}

More information at ${formattedMoreInfoUrl}

To disable this message, add this to your ${chalkInstance.bold('./cucumber.js')}: 
${chalkInstance.bold("module.exports = { default: '--publish-quiet' }")}`;
const table = new cli_table3_1.default({
    style: {
        head: [],
        border: chalkInstance.supportsColor ? ['green'] : [],
    },
});
table.push([text]);
exports.default = table.toString();
//# sourceMappingURL=publish_banner.js.map